﻿namespace Hotline.Share.Dtos.FlowEngine;

public class PreviousWorkflowDto : EndWorkflowIdDto
{
    /// <summary>
    /// 是否短信通知
    /// </summary>
    public bool AcceptSms { get; set; }

    /// <summary>
    /// 期满时间
    /// </summary>
    public DateTime? ExpiredTime { get; set; }

    /// <summary>
    /// 根据办理者类型不同，此字段为不同内容
    /// <example>
    /// 部门等级/分类为：depCodes, 角色为：userIds
    /// </example>
    /// </summary>
    public List<FlowStepHandler> NextHandlers { get; set; } = new();

}